=== modified file 'pybb/templatetags/pybb_extras.py'
--- pybb/templatetags/pybb_extras.py	2017-06-22 06:33:22 +0000
+++ pybb/templatetags/pybb_extras.py	2018-04-05 18:55:35 +0000
@@ -5,9 +5,9 @@
 from pprint import pprint
 
 from django import template
-from django.core.urlresolvers import reverse
+#from django.core.urlresolvers import reverse
 from django.utils.safestring import mark_safe
-from django.template import RequestContext
+#from django.template import RequestContext
 from django.template.defaultfilters import stringfilter
 from django.utils.encoding import smart_unicode
 from django.utils.html import escape

=== added directory 'wlscreens/migrations'
=== added file 'wlscreens/migrations/0001_initial.py'
--- wlscreens/migrations/0001_initial.py	1970-01-01 00:00:00 +0000
+++ wlscreens/migrations/0001_initial.py	2018-04-05 18:55:35 +0000
@@ -0,0 +1,41 @@
+# -*- coding: utf-8 -*-
+# Generated by Django 1.11 on 2018-04-05 20:49
+from __future__ import unicode_literals
+
+from django.db import migrations, models
+import django.db.models.deletion
+import wlscreens.models
+
+
+class Migration(migrations.Migration):
+
+    initial = True
+
+    dependencies = [
+    ]
+
+    operations = [
+        migrations.CreateModel(
+            name='Category',
+            fields=[
+                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
+                ('name', models.CharField(max_length=255)),
+                ('slug', models.SlugField(blank=True, max_length=255, unique=True)),
+            ],
+        ),
+        migrations.CreateModel(
+            name='Screenshot',
+            fields=[
+                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
+                ('name', models.CharField(max_length=255)),
+                ('screenshot', models.ImageField(storage=wlscreens.models.OverwriteStorage(), upload_to=wlscreens.models.screenshot_path)),
+                ('thumbnail', models.ImageField(editable=False, storage=wlscreens.models.OverwriteStorage(), upload_to=wlscreens.models.thumbnail_path)),
+                ('comment', models.TextField(blank=True, null=True)),
+                ('category', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='screenshots', to='wlscreens.Category')),
+            ],
+        ),
+        migrations.AlterUniqueTogether(
+            name='screenshot',
+            unique_together=set([('name', 'category')]),
+        ),
+    ]

=== added file 'wlscreens/migrations/__init__.py'
=== modified file 'wlscreens/models.py'
--- wlscreens/models.py	2018-04-05 07:30:42 +0000
+++ wlscreens/models.py	2018-04-05 18:55:35 +0000
@@ -11,7 +11,6 @@
 
 # Taken from django snippet 976
 
-
 class OverwriteStorage(FileSystemStorage):
 
     def get_available_name(self, name, max_length=None):
@@ -23,8 +22,6 @@
             os.remove(os.path.join(MEDIA_ROOT, name))
         return name
 
-# Create your models here.
-
 
 class Category(models.Model):
     name = models.CharField(max_length=255)
@@ -44,17 +41,26 @@
         return u"%s" % self.name
 
 
+def screenshot_path(instance, filename):
+    return 'wlscreens/screens/%s/%s.%s' % (
+            instance.category, instance.name, filename.rsplit('.', 1)[-1].lower()
+            )
+
+
+def thumbnail_path(instance, filename):
+    return 'wlscreens/thumbs/%s/%s.png' % (
+            instance.category, instance.name)
+
+
 class Screenshot(models.Model):
     name = models.CharField(max_length=255)
 
     screenshot = models.ImageField(
-        upload_to=lambda i, n: 'wlscreens/screens/%s/%s.%s' % (
-            i.category, i.name, n.rsplit('.', 1)[-1].lower()),
+        upload_to=screenshot_path,
         storage=OverwriteStorage(),
     )
     thumbnail = models.ImageField(
-        upload_to=lambda i, n: 'wlscreens/thumbs/%s/%s.png' % (
-            i.category, i.name),
+        upload_to=thumbnail_path,
         editable=False,
         storage=OverwriteStorage(),
     )

=== modified file 'wlscreens/views.py'
--- wlscreens/views.py	2016-12-13 18:28:51 +0000
+++ wlscreens/views.py	2018-04-05 18:55:35 +0000
@@ -1,17 +1,16 @@
 # Create your views here.
 
 from models import Category, Screenshot
-from django.shortcuts import render_to_response
-from django.template import RequestContext
+from django.shortcuts import render
 from django.http import Http404
 
 
 def index(request):
     c = Category.objects.order_by('-name')
 
-    return render_to_response('wlscreens/index.html',
-                              {'categories': c, },
-                              RequestContext(request))
+    return render(request, 'wlscreens/index.html',
+                  {'categories': c, }
+                  )
 
 
 def category(request, category_slug):

